Index: /branches/HTM-15.1-dev0-NICT/build/vc14/TLibVideoIO_vc14.vcxproj
===================================================================
--- /branches/HTM-15.1-dev0-NICT/build/vc14/TLibVideoIO_vc14.vcxproj	(revision 1349)
+++ /branches/HTM-15.1-dev0-NICT/build/vc14/TLibVideoIO_vc14.vcxproj	(revision 1349)
@@ -0,0 +1,158 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectName>TLibVideoIO</ProjectName>
+    <ProjectGuid>{5280C25A-D316-4BE7-AE50-29D72108624F}</ProjectGuid>
+    <RootNamespace>TLibVideoIo</RootNamespace>
+    <Keyword>Win32Proj</Keyword>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <PlatformToolset>v140</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <PlatformToolset>v140</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+    <PlatformToolset>v140</PlatformToolset>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>StaticLibrary</ConfigurationType>
+    <CharacterSet>MultiByte</CharacterSet>
+    <PlatformToolset>v140</PlatformToolset>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup>
+    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</IntDir>
+    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</OutDir>
+    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)\vc14\$(Platform)\$(Configuration)\$(RootNamespace)\</IntDir>
+    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
+    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
+    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
+    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
+    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
+    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
+    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
+    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>$(SolutionDir)\..\source\Lib\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>true</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>$(SolutionDir)\..\source\Lib\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>true</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <Optimization>MaxSpeed</Optimization>
+      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
+      <IntrinsicFunctions>false</IntrinsicFunctions>
+      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
+      <AdditionalIncludeDirectories>$(SolutionDir)\..\source\Lib\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <StringPooling>true</StringPooling>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <Optimization>MaxSpeed</Optimization>
+      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
+      <IntrinsicFunctions>false</IntrinsicFunctions>
+      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
+      <AdditionalIncludeDirectories>$(SolutionDir)\..\source\Lib\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_LIB;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <StringPooling>true</StringPooling>
+      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="..\..\source\Lib\TLibVideoIO\TVideoIOYuv.cpp" />
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="..\..\source\Lib\TLibVideoIO\TVideoIOYuv.h" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
Index: /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg
===================================================================
--- /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1348)
+++ /branches/HTM-15.1-dev0-NICT/cfg/SEI/alternativeDepthInfoSei_gvd.cfg	(revision 1349)
@@ -3,53 +3,188 @@
 
 #======== Applicability  ==========    ( SEI is only send for pictures in intersection )
-ApplicableLayerIds              :                             # LayerIds      of layers   to which the SEI is added. (all when empty)
-ApplicablePocs                  :                             # POCs          of pictures to which the SEI is added. (all when empty)
-ApplicableTids                  :                             # Tids          of pictures to which the SEI is added. (all when empty)
-ApplicableVclNaluTypes          :                             # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+ApplicableLayerIds              :                       # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  :                       # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                       # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          :                       # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
 
 #======== Position in bit stream  ============
-SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added
-PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+SeiNaluId                       : 0                     # Identifies to which NAL unit  the SEI is added
+PositionInSeiNalu               : 0                     # Identifies the position within the NAL unit
 
 #======== Payload modification =============
-ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+ModifyByEncoder                 : 0                     # 0: Use payload as specified in cfg file   1: Modify SEI by encoder.
 
-#======== Payload specification =============
+#======== Payload specification =============           # FP Value by ATM 13.3 SEI dump
+                                                        # Poznan Street
+#======== Part 0 ============================
 AlternativeDepthInfoCancelFlag  : 0
-DepthType                       : 0
-NumConstituentViewsGvdMinus1    : 0
+DepthType                       : 0                     # 0: NICT-GVD, 1: Nagoya-Warpmap
+NumConstituentViewsGvdMinus1    : 1                     # 1: 3View
 DepthPresentGvdFlag             : 0
-ZGvdFlag                        : 0
-IntrinsicParamGvdFlag           : 0
-RotationGvdFlag                 : 0
-TranslationGvdFlag              : 0
-SignGvdZNearFlag                : 0
-ExpGvdZNear                     : 0
-ManLenGvdZNearMinus1            : 0
-ManGvdZNear                     : 0
-SignGvdZFarFlag                 : 0
-ExpGvdZFar                      : 0
-ManLenGvdZFarMinus1             : 0
-ManGvdZFar                      : 0
-PrecGvdFocalLength              : 0
-PrecGvdPrincipalPoint           : 0
-PrecGvdRotationParam            : 0
-PrecGvdTranslationParam         : 0
-SignGvdFocalLengthX             : 0
-ExpGvdFocalLengthX              : 0
-ManGvdFocalLengthX              : 0
-SignGvdFocalLengthY             : 0
-ExpGvdFocalLengthY              : 0
-ManGvdFocalLengthY              : 0
-SignGvdPrincipalPointX          : 0
-ExpGvdPrincipalPointX           : 0
-ManGvdPrincipalPointX           : 0
-SignGvdPrincipalPointY          : 0
-ExpGvdPrincipalPointY           : 0
-ManGvdPrincipalPointY           : 0
-SignGvdR_0_0                    : 0
-ExpGvdR_0_0                     : 0
-ManGvdR_0_0                     : 0
-SignGvdTX                       : 0
-ExpGvdTX                        : 0
-ManGvdTX                        : 0
+ZGvdFlag                        : 1
+IntrinsicParamGvdFlag           : 1
+RotationGvdFlag                 : 1
+TranslationGvdFlag              : 1
+#======== Part 1 ============================
+#======== 0      ============================
+SignGvdZNearFlag_0              : 1                     # -34.506386
+ExpGvdZNear_0                   : 36
+ManLenGvdZNearMinus1_0          : 24
+ManGvdZNear_0                   : 2628136
+SignGvdZFarFlag_0               : 1                     # -2760.510889
+ExpGvdZFar_0                    : 42
+ManLenGvdZFarMinus1_0           : 24
+ManGvdZFar_0                    : 11673778
+#======== 1      ============================
+SignGvdZNearFlag_1              : 1                     # -34.506386
+ExpGvdZNear_1                   : 36
+ManLenGvdZNearMinus1_1          : 24
+ManGvdZNear_1                   : 2628136
+SignGvdZFarFlag_1               : 1                     # -2760.510889
+ExpGvdZFar_1                    : 42
+ManLenGvdZFarMinus1_1           : 24
+ManGvdZFar_1                    : 11673778
+#======== 2      ============================
+SignGvdZNearFlag_2              : 1                     # -34.506386
+ExpGvdZNear_2                   : 36
+ManLenGvdZNearMinus1_2          : 24
+ManGvdZNear_2                   : 2628136
+SignGvdZFarFlag_2               : 1                     # -2760.510889
+ExpGvdZFar_2                    : 42
+ManLenGvdZFarMinus1_2           : 24
+ManGvdZFar_2                    : 11673778
+#======== Part 2 ============================
+PrecGvdFocalLength              : 18                    # ATM code embeded value.
+PrecGvdPrincipalPoint           : 18
+PrecGvdRotationParam            : 18
+PrecGvdTranslationParam         : 18
+#======== Part 3 ============================
+#======== 0      ============================
+SignGvdFocalLengthX_0           : 0                     # 1732.875727
+ExpGvdFocalLengthX_0            : 41
+ManGvdFocalLengthX_0            : 185827518
+SignGvdFocalLengthY_0           : 0                     # 1729.908923
+ExpGvdFocalLengthY_0            : 41
+ManGvdFocalLengthY_0            : 185049788
+SignGvdPrincipalPointX_0        : 0                     # 943.231169
+ExpGvdPrincipalPointX_0         : 40
+ManGvdPrincipalPointX_0         : 113044663
+SignGvdPrincipalPointY_0        : 0                     # 548.845040
+ExpGvdPrincipalPointY_0         : 40
+ManGvdPrincipalPointY_0         : 9658706
+SignGvdR_0_0_0                  : 0                     # 1.000000
+ExpGvdR_0_0_0                   : 31
+ManGvdR_0_0_0                   : 0
+SignGvdR_0_0_1                  : 0                     # 0.000000
+ExpGvdR_0_0_1                   : 0
+ManGvdR_0_0_1                   : 0
+SignGvdR_0_0_2                  : 0                     # 0.000000
+ExpGvdR_0_0_2                   : 0
+ManGvdR_0_0_2                   : 0
+SignGvdR_0_1_0                  : 0                     # 0.000000
+ExpGvdR_0_1_0                   : 0
+ManGvdR_0_1_0                   : 0
+SignGvdR_0_1_1                  : 0                     # 1.000000
+ExpGvdR_0_1_1                   : 31
+ManGvdR_0_1_1                   : 0
+SignGvdR_0_1_2                  : 0                     # 0.000000
+ExpGvdR_0_1_2                   : 0
+ManGvdR_0_1_2                   : 0
+SignGvdR_0_2_0                  : 0                     # 0.000000
+ExpGvdR_0_2_0                   : 0
+ManGvdR_0_2_0                   : 0
+SignGvdR_0_2_1                  : 0                     # 0.000000
+ExpGvdR_0_2_1                   : 0
+ManGvdR_0_2_1                   : 0
+SignGvdR_0_2_2                  : 0                     # 1.000000
+ExpGvdR_0_2_2                   : 31
+ManGvdR_0_2_2                   : 0
+SignGvdTX_0                     : 0                     # 6.372093
+ExpGvdTX_0                      : 33
+ManGvdTX_0                      : 621829
+#======== 1      ============================
+SignGvdFocalLengthX_1           : 0                     # 1732.875727
+ExpGvdFocalLengthX_1            : 41
+ManGvdFocalLengthX_1            : 185827518
+SignGvdFocalLengthY_1           : 0                     # 1729.908923
+ExpGvdFocalLengthY_1            : 41
+ManGvdFocalLengthY_1            : 185049788
+SignGvdPrincipalPointX_1        : 0                     # 943.231169
+ExpGvdPrincipalPointX_1         : 40
+ManGvdPrincipalPointX_1         : 113044663
+SignGvdPrincipalPointY_1        : 0                     # 548.845040
+ExpGvdPrincipalPointY_1         : 40
+ManGvdPrincipalPointY_1         : 9658706
+SignGvdR_1_0_0                  : 0                     # 1.000000
+ExpGvdR_1_0_0                   : 31
+ManGvdR_1_0_0                   : 0
+SignGvdR_1_0_1                  : 0                     # 0.000000
+ExpGvdR_1_0_1                   : 0
+ManGvdR_1_0_1                   : 0
+SignGvdR_1_0_2                  : 0                     # 0.000000
+ExpGvdR_1_0_2                   : 0
+ManGvdR_1_0_2                   : 0
+SignGvdR_1_1_0                  : 0                     # 0.000000
+ExpGvdR_1_1_0                   : 0
+ManGvdR_1_1_0                   : 0
+SignGvdR_1_1_1                  : 0                     # 1.000000
+ExpGvdR_1_1_1                   : 31
+ManGvdR_1_1_1                   : 0
+SignGvdR_1_1_2                  : 0                     # 0.000000
+ExpGvdR_1_1_2                   : 0
+ManGvdR_1_1_2                   : 0
+SignGvdR_1_2_0                  : 0                     # 0.000000
+ExpGvdR_1_2_0                   : 0
+ManGvdR_1_2_0                   : 0
+SignGvdR_1_2_1                  : 0                     # 0.000000
+ExpGvdR_1_2_1                   : 0
+ManGvdR_1_2_1                   : 0
+SignGvdR_1_2_2                  : 0                     # 1.000000
+ExpGvdR_1_2_2                   : 31
+ManGvdR_1_2_2                   : 0
+SignGvdTX_1                     : 0                     # 7.965116
+ExpGvdTX_1                      : 33
+ManGvdTX_1                      : 1039431
+#======== 2      ============================
+SignGvdFocalLengthX_2           : 0                     # 1732.875727
+ExpGvdFocalLengthX_2            : 41
+ManGvdFocalLengthX_2            : 185827518
+SignGvdFocalLengthY_2           : 0                     # 1729.908923
+ExpGvdFocalLengthY_2            : 41
+ManGvdFocalLengthY_2            : 185049788
+SignGvdPrincipalPointX_2        : 0                     # 943.231169
+ExpGvdPrincipalPointX_2         : 40
+ManGvdPrincipalPointX_2         : 113044663
+SignGvdPrincipalPointY_2        : 0                     # 548.845040
+ExpGvdPrincipalPointY_2         : 40
+ManGvdPrincipalPointY_2         : 9658706
+SignGvdR_2_0_0                  : 0                     # 1.000000
+ExpGvdR_2_0_0                   : 31
+ManGvdR_2_0_0                   : 0
+SignGvdR_2_0_1                  : 0                     # 0.000000
+ExpGvdR_2_0_1                   : 0
+ManGvdR_2_0_1                   : 0
+SignGvdR_2_0_2                  : 0                     # 0.000000
+ExpGvdR_2_0_2                   : 0
+ManGvdR_2_0_2                   : 0
+SignGvdR_2_1_0                  : 0                     # 0.000000
+ExpGvdR_2_1_0                   : 0
+ManGvdR_2_1_0                   : 0
+SignGvdR_2_1_1                  : 0                     # 1.000000
+ExpGvdR_2_1_1                   : 31
+ManGvdR_2_1_1                   : 0
+SignGvdR_2_1_2                  : 0                     # 0.000000
+ExpGvdR_2_1_2                   : 0
+ManGvdR_2_1_2                   : 0
+SignGvdR_2_2_0                  : 0                     # 0.000000
+ExpGvdR_2_2_0                   : 0
+ManGvdR_2_2_0                   : 0
+SignGvdR_2_2_1                  : 0                     # 0.000000
+ExpGvdR_2_2_1                   : 0
+ManGvdR_2_2_1                   : 0
+SignGvdR_2_2_2                  : 0                     # 1.000000
+ExpGvdR_2_2_2                   : 31
+ManGvdR_2_2_2                   : 0
+SignGvdTX_2                     : 0                     # 4.779070
+ExpGvdTX_2                      : 33
+ManGvdTX_2                      : 204228
Index: /branches/HTM-15.1-dev0-NICT/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- /branches/HTM-15.1-dev0-NICT/source/App/TAppDecoder/TAppDecCfg.h	(revision 1348)
+++ /branches/HTM-15.1-dev0-NICT/source/App/TAppDecoder/TAppDecCfg.h	(revision 1349)
@@ -82,17 +82,17 @@
   Int           m_targetOptLayerSetIdx;                 ///< target output layer set index
   Int           m_targetDecLayerSetIdx;
-  Int           m_baseLayerOutputFlag; 
-  Int           m_baseLayerPicOutputFlag; 
-  Int           m_auOutputFlag; 
+  Int           m_baseLayerOutputFlag;
+  Int           m_baseLayerPicOutputFlag;
+  Int           m_auOutputFlag;
   Int           m_maxLayerId;                           ///< maximum nuh_layer_id decoded
-  std::ifstream m_bitstreamFile; 
+  std::ifstream m_bitstreamFile;
   Int           m_highestTid;
   Bool          m_targetDecLayerIdSetFileEmpty;       ///< indication if target layers are given by file
 
-  Bool          m_printVpsInfo;                      ///< Output VPS information 
+  Bool          m_printVpsInfo;                      ///< Output VPS information
   Bool          m_printPicOutput;                     ///< Print information on picture output
   Bool          m_printReceivedNalus;                 ///< Print information on received NAL units
 #if NH_3D
-  Char*         m_pchScaleOffsetFile;                   ///< output coded scale and offset parameters
+  Char*         m_pchScaleOffsetFile = nullptr;         ///< output coded scale and offset parameters // NICT FIX
   Bool          m_depth420OutputFlag;                   ///< output depth layers in 4:2:0
 #endif
